curl --request POST \
--url https://api.unibee.dev/merchant/gateway/detail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gatewayId": 123,
"gatewayName": "<string>"
}
'{
"code": 123,
"data": {
"gateway": {
"IsSetupFinished": true,
"archive": true,
"autoChargeEnabled": true,
"bank": {
"accountHolder": "<string>",
"address": "<string>",
"ABARoutingNumber": "<string>",
"CNAPS": "<string>",
"Remarks": "<string>",
"accountNumber": "<string>",
"bankName": "<string>",
"bic": "<string>",
"bsbCode": "<string>",
"iban": "<string>",
"swiftCode": "<string>"
},
"companyIssuer": {
"issueAddress": "<string>",
"issueCompanyName": "<string>",
"issueLogo": "<string>",
"issueRegNumber": "<string>",
"issueVatNumber": "<string>"
},
"countryConfig": {},
"createTime": 123,
"currency": "<string>",
"currencyExchange": [
{
"exchange_rate": 123,
"from_currency": "<string>",
"to_currency": "<string>"
}
],
"currencyExchangeEnabled": true,
"defaultGatewayPaymentType": {
"autoCharge": true,
"category": "<string>",
"countryName": "<string>",
"name": "<string>",
"paymentType": "<string>",
"supportCurrencies": [
"<string>"
]
},
"description": "<string>",
"displayName": "<string>",
"gatewayIcons": [
"<string>"
],
"gatewayId": 123,
"gatewayKey": "<string>",
"gatewayLogo": "<string>",
"gatewayName": "<string>",
"gatewayPaymentTypes": [
{
"autoCharge": true,
"category": "<string>",
"countryName": "<string>",
"name": "<string>",
"paymentType": "<string>",
"supportCurrencies": [
"<string>"
]
}
],
"gatewaySecret": "<string>",
"gatewayType": 123,
"gatewayWebhookIntegrationLink": "<string>",
"gatewayWebsiteLink": "<string>",
"isDefault": true,
"metadata": {},
"minimumAmount": 123,
"name": "<string>",
"privateSecretName": "<string>",
"publicKeyName": "<string>",
"setupGatewayPaymentTypes": [
{
"autoCharge": true,
"category": "<string>",
"countryName": "<string>",
"name": "<string>",
"paymentType": "<string>",
"supportCurrencies": [
"<string>"
]
}
],
"sort": 123,
"subGateway": "<string>",
"subGatewayName": "<string>",
"webhookEndpointUrl": "<string>",
"webhookSecret": "<string>"
}
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Get Payment Gateway Detail
curl --request POST \
--url https://api.unibee.dev/merchant/gateway/detail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gatewayId": 123,
"gatewayName": "<string>"
}
'{
"code": 123,
"data": {
"gateway": {
"IsSetupFinished": true,
"archive": true,
"autoChargeEnabled": true,
"bank": {
"accountHolder": "<string>",
"address": "<string>",
"ABARoutingNumber": "<string>",
"CNAPS": "<string>",
"Remarks": "<string>",
"accountNumber": "<string>",
"bankName": "<string>",
"bic": "<string>",
"bsbCode": "<string>",
"iban": "<string>",
"swiftCode": "<string>"
},
"companyIssuer": {
"issueAddress": "<string>",
"issueCompanyName": "<string>",
"issueLogo": "<string>",
"issueRegNumber": "<string>",
"issueVatNumber": "<string>"
},
"countryConfig": {},
"createTime": 123,
"currency": "<string>",
"currencyExchange": [
{
"exchange_rate": 123,
"from_currency": "<string>",
"to_currency": "<string>"
}
],
"currencyExchangeEnabled": true,
"defaultGatewayPaymentType": {
"autoCharge": true,
"category": "<string>",
"countryName": "<string>",
"name": "<string>",
"paymentType": "<string>",
"supportCurrencies": [
"<string>"
]
},
"description": "<string>",
"displayName": "<string>",
"gatewayIcons": [
"<string>"
],
"gatewayId": 123,
"gatewayKey": "<string>",
"gatewayLogo": "<string>",
"gatewayName": "<string>",
"gatewayPaymentTypes": [
{
"autoCharge": true,
"category": "<string>",
"countryName": "<string>",
"name": "<string>",
"paymentType": "<string>",
"supportCurrencies": [
"<string>"
]
}
],
"gatewaySecret": "<string>",
"gatewayType": 123,
"gatewayWebhookIntegrationLink": "<string>",
"gatewayWebsiteLink": "<string>",
"isDefault": true,
"metadata": {},
"minimumAmount": 123,
"name": "<string>",
"privateSecretName": "<string>",
"publicKeyName": "<string>",
"setupGatewayPaymentTypes": [
{
"autoCharge": true,
"category": "<string>",
"countryName": "<string>",
"name": "<string>",
"paymentType": "<string>",
"supportCurrencies": [
"<string>"
]
}
],
"sort": 123,
"subGateway": "<string>",
"subGatewayName": "<string>",
"webhookEndpointUrl": "<string>",
"webhookSecret": "<string>"
}
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}https://api.unibee.dev/merchant/gateway/detail
Get Payment Gateway Detail
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
| Name | Type | Required | Description |
|---|---|---|---|
gatewayId | integer | No | The id of payment gateway, either gatewayId or gatewayName should provided |
gatewayName | string | No | The specified name of payment gateway, either gatewayId or gatewayName should provided, stripe|paypal|changelly|unitpay|payssion|cryptadium, return default gateway if provided |
curl -X POST "https://api.unibee.dev/merchant/gateway/detail" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"gatewayId": 0,
"gatewayName": ""
}'
curl -X POST "https://api-sandbox.unibee.top/merchant/gateway/detail" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"gatewayId": 0,
"gatewayName": ""
}'
code, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.gateway | object | |
message | string | Human-readable message |
requestId | string | Request ID for support |
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Get Payment Gateway Detail
The id of payment gateway, either gatewayId or gatewayName should provided
The specified name of payment gateway, either gatewayId or gatewayName should provided, stripe|paypal|changelly|unitpay|payssion|cryptadium, return default gateway if provided